## kdepim 4.4.11.1+l10n

=== CMakeLists.txt ===
add_subdirectory(  kde-l10n-ar-4.4.5  )
add_subdirectory(  kde-l10n-bg-4.4.5  )
add_subdirectory(  kde-l10n-ca-4.4.5  )
add_subdirectory(  kde-l10n-ca@valencia-4.4.5  )
add_subdirectory(  kde-l10n-cs-4.4.5  )
add_subdirectory(  kde-l10n-csb-4.4.5  )
add_subdirectory(  kde-l10n-da-4.4.5  )
add_subdirectory(  kde-l10n-de-4.4.5  )
add_subdirectory(  kde-l10n-el-4.4.5  )
add_subdirectory(  kde-l10n-en_GB-4.4.5  )
add_subdirectory(  kde-l10n-eo-4.4.5  )
add_subdirectory(  kde-l10n-es-4.4.5  )
add_subdirectory(  kde-l10n-et-4.4.5  )
add_subdirectory(  kde-l10n-eu-4.4.5  )
add_subdirectory(  kde-l10n-fi-4.4.5  )
add_subdirectory(  kde-l10n-fr-4.4.5  )
add_subdirectory(  kde-l10n-fy-4.4.5  )
add_subdirectory(  kde-l10n-ga-4.4.5  )
add_subdirectory(  kde-l10n-gl-4.4.5  )
add_subdirectory(  kde-l10n-he-4.4.5  )
add_subdirectory(  kde-l10n-hi-4.4.5  )
add_subdirectory(  kde-l10n-hr-4.4.5  )
add_subdirectory(  kde-l10n-hu-4.4.5  )
add_subdirectory(  kde-l10n-is-4.4.5  )
add_subdirectory(  kde-l10n-it-4.4.5  )
add_subdirectory(  kde-l10n-ja-4.4.5  )
add_subdirectory(  kde-l10n-kk-4.4.5  )
add_subdirectory(  kde-l10n-km-4.4.5  )
add_subdirectory(  kde-l10n-ko-4.4.5  )
add_subdirectory(  kde-l10n-lt-4.4.5  )
add_subdirectory(  kde-l10n-lv-4.4.5  )
add_subdirectory(  kde-l10n-mk-4.4.5  )
add_subdirectory(  kde-l10n-nb-4.4.5  )
add_subdirectory(  kde-l10n-nds-4.4.5  )
add_subdirectory(  kde-l10n-nl-4.4.5  )
add_subdirectory(  kde-l10n-nn-4.4.5  )
add_subdirectory(  kde-l10n-pa-4.4.5  )
add_subdirectory(  kde-l10n-pl-4.4.5  )
add_subdirectory(  kde-l10n-pt-4.4.5  )
add_subdirectory(  kde-l10n-pt_BR-4.4.5  )
add_subdirectory(  kde-l10n-ro-4.4.5  )
add_subdirectory(  kde-l10n-ru-4.4.5  )
add_subdirectory(  kde-l10n-si-4.4.5  )
add_subdirectory(  kde-l10n-sk-4.4.5  )
add_subdirectory(  kde-l10n-sl-4.4.5  )
add_subdirectory(  kde-l10n-sr-4.4.5  )
add_subdirectory(  kde-l10n-sv-4.4.5  )
add_subdirectory(  kde-l10n-tg-4.4.5  )
add_subdirectory(  kde-l10n-tr-4.4.5  )
add_subdirectory(  kde-l10n-uk-4.4.5  )
add_subdirectory(  kde-l10n-wa-4.4.5  )
add_subdirectory(  kde-l10n-zh_CN-4.4.5  )
add_subdirectory(  kde-l10n-zh_TW-4.4.5  )

=== messages/CMakeLists.txt ===
add_subdirectory( kdepim )

=== docs/kdepim/CMakeLists.txt ===
add_subdirectory( akregator )
add_subdirectory( kaddressbook )
add_subdirectory( karm )
add_subdirectory( kcontrol )
add_subdirectory( kioslave )
add_subdirectory( kjots )
add_subdirectory( kleopatra )
add_subdirectory( kmail )
add_subdirectory( knode )
add_subdirectory( knotes )
add_subdirectory( konsolekalendar )
add_subdirectory( kontact )
add_subdirectory( korganizer )
add_subdirectory( ktimetracker )
add_subdirectory( ktnef )
add_subdirectory( kwatchgnupg )

=== sr@ijekavianlatin/messages/CMakeLists.txt ===
add_subdirectory(extragear-network)
add_subdirectory(kdeaccessibility)
add_subdirectory(kdeadmin)
add_subdirectory(kdeartwork)
add_subdirectory(kdebase)
add_subdirectory(kdegames)
add_subdirectory(kdegraphics)
add_subdirectory(kdelibs)
add_subdirectory(kdemultimedia)
add_subdirectory(kdenetwork)
add_subdirectory(kdepim)
add_subdirectory(kdepimlibs)
add_subdirectory(kdeplasma-addons)
add_subdirectory(kdesdk)
add_subdirectory(kdetoys)
add_subdirectory(kdeutils)
add_subdirectory(qt)
install(FILES entry.desktop DESTINATION ${LOCALE_INSTALL_DIR}/${CURRENT_LANG}/ )

=== docs/kdepim/kaddressbook/CMakeLists.txt ===
#kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/${CURRENT_LANG}/  )

=== docs/kdepim/kcontrol/kalarmd/CMakeLists.txt ===
#kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/${CURRENT_LANG}/ SUBDIR kcontrol/kalarmd )

=== debian/changelog ===
kdepim (4:4.4.11.1+l10n-3) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Backport upstream commit 6ae89eee936159dd7d7ca3405fbe6d9d66d86ddd to fix
    the Akregator shutdown with qDeleteAll() of Qt 4.8; patch
    upstream_Fix-crash-in-Folder-destructor.patch. (Closes: #675498)
  * Backport upstream commit 645cefecafc3b40f4cb91675703335bfdc8f8b91 to fix
    building with FORTIFY & GCC 4.7; patch
    upstream_in-c4_String-c4_String-only-call-memset-if-the-numbe.patch.

  [ Modestas Vainius ]
  * Wildcardize program translations in install files.
  * Wildcardize documentation translations in install files.
  * Wildcardize manual page translations in install files.

 -- Modestas Vainius <modax@debian.org>  Sun, 10 Jun 2012 15:12:20 +0300

kdepim (4:4.4.11.1+l10n-2) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * debianize_akregator_default.diff: switch from news.debian.net (no more
    active) to the official news feed @ debian.org. (Closes: #665985)
  * Override GENERIC_LIB_VERSION and KDE_NON_GENERIC_LIB_VERSION to not depend
    on the kdelibs version. (Closes: #665083)
  * Backport upstream commit 4b504e760e0c994e676b55bfaca731d74841f1f4 to fix
    KAlarm crashes with Qt 4.8.x; patch
    upstream_Bug-271580-Fix-crash-displaying-New-Alarm-dialog-fro.patch.
    (Closes: #671619)
  * Backport upstream commit 4aa4059b40aed27ae76201baa48f419d1ba09576 to fix
    building with GCC 4.7; patch upstream_Build-with-clang.patch.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 25 May 2012 16:31:55 -0300

kdepim (4:4.4.11.1+l10n-1) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Provide translations in orig-l10n tarball. Also add kdepim_l10n.diff to
    install that translations.
  * Add displaying_only_unread_issue.diff. (Closes: #625646)
  * Bump Standards-Version to 3.9.2; no changes needed.
  * Bump kde-sc-dev-latest build dependency to 4:4.6.3.

  [ Modestas Vainius ]
  * Add l10n information to debian/copyright.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 27 May 2011 02:52:12 +0300

kdepim (4:4.4.11.1-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Delete backport_dont_crash_when_adding_feed.diff, no longer needed.
  * Bump KDE SC build dependencies to 4:4.6.
  * Bump kde-sc-dev-latest build dependency to 4:4.6.2.
  * Update installed files.
  * Little touches in descriptions:
    - Fix typo in kleopatra description.
    - Don't capitalize akonadiconsole short description, remove starting
      article
    - Make libmimelib4 long description smaller than 80 columns.
  * Update lintian overrides.
  * Bump S-V to 3.9.1; update Breaks/Conflicts/Replaces.
  * Add myself to Uploaders.

  [ Pino Toscano ]
  * Add jovie alternative to kttsd suggest.
  * Small touches at blogilo's description.
  * Fix ktimetracker suggest in kontact. (Closes: #611201)

  [ Modestas Vainius ]
  * Switch debian/rules engine to dhmk based qt-kde-team/2/*.
  * Strip sequence numbers from debian/patches/*.

  [ Frederik Schwarzer ]
  * Fix typos in package descriptions. (Closes: #623895)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Apr 2011 12:23:43 +0300

=== debian/control ===
Source: kdepim
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>,
 Michael Meskes <meskes@debian.org>, José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.6.3),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6), kdepimlibs5-dev (>= 4:4.6), libphonon-dev (>= 4:4.6.0really4.3.80),
 libgpgme11-dev, libboost-dev (>= 1.40.0-2), libboost-graph-dev (>= 1.40.0-2), libsasl2-dev,
 xsltproc, libgnokii-dev, libxss-dev, libqca2-dev (>= 2.0.0), libassuan-dev,
 libstreams-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3), libsearchclient-dev (>= 0.6.3),
 libstrigihtmlgui-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3), zlib1g-dev,
 libakonadi-dev (>= 1.3.0), libpisock-dev, shared-desktop-ontologies (>= 0.2)
Standards-Version: 3.9.2
Homepage: http://pim.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepim.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepim.git

Package: kdepim
Architecture: all
Depends: ${misc:Depends}, akregator (>= ${source:Version}), kaddressbook (>= ${source:Version}),
 kalarm (>= ${source:Version}), kdepim-kresources (>= ${source:Version}), kdepim-wizards (>= ${source:Version}),
 kmail (>= ${source:Version}), knode (>= ${source:Version}), knotes (>= ${source:Version}),
 konsolekalendar (>= ${source:Version}), kontact (>= ${source:Version}), korganizer (>= ${source:Version}),
 ktimetracker (>= ${source:Version}), kdepim-strigi-plugins (>= ${source:Version}), kjots (>= ${source:Version}),
 kleopatra (>= ${source:Version}), blogilo (>= ${source:Version}),
 akonadiconsole (>= ${source:Version})
Description: Personal Information Management apps from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) applications provided with the official release of KDE.

Package: kdepim-dbg
Priority: extra
Section: debug
Depends: ${misc:Depends}, kdepimlibs-dbg,
 kdepim  (= ${source:Version}) |
 kaddressbook (= ${binary:Version}) |
 kalarm (= ${binary:Version}) |
 kdepim-groupware (= ${binary:Version}) |
 kdepim-kresources (= ${binary:Version}) |
 kdepim-strigi-plugins (= ${binary:Version}) |
 kdepim-wizards (= ${binary:Version}) |
 kjots (= ${binary:Version}) |
 kleopatra (= ${binary:Version}) |
 kmail (= ${binary:Version}) |
 knode (= ${binary:Version}) |
 knotes (= ${binary:Version}) |
 konsolekalendar (= ${binary:Version}) |
 kontact (= ${binary:Version}) |
 korganizer (= ${binary:Version}) |
 ktimetracker (= ${binary:Version}) |
 blogilo (= ${binary:Version}) |
 libkdepim4 (= ${binary:Version}) |
 libkleo4 (= ${binary:Version}) |
 libkpgp4 (= ${binary:Version}) |
 libksieve4 (= ${binary:Version}) |
 libmaildir4 (= ${binary:Version}) |
 libmimelib4 (= ${binary:Version}) |
 libmessagecore4 (= ${binary:Version}) |
 libmessagelist4 (= ${binary:Version}) |
 libmessageviewer0 (= ${binary:Version})
Breaks: kdeutils-dbg (<< 4:4.0.80)
Replaces: kdeutils-dbg (<< 4:4.0.80)
Architecture: any
Description: debugging symbols for kdepim
 This package contains the debugging symbols associated with kdepim.
 They will automatically be used by gdb for debugging kdepim-related
 issues.

Package: akregator
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kontact (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80)
Conflicts: kde-l10n
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator 
 Akregator is a news feed reader. It enables you to follow  
 news sites, blogs and other RSS/Atom-enabled websites without the need to 
 manually check for updates using a web browser. Akregator is designed to be 
 both easy to use and to be powerful enough to read hundreds of news sources 
 conveniently. It comes with Konqueror integration for adding news feeds and 
 with an internal browser for easy news reading.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdepim-kresources
Breaks: korganizer (<< 4:4.1.80), kontact (<< 4:4.1.80)
Replaces: korganizer (<< 4:4.1.80), kontact (<< 4:4.1.80)
Conflicts: kde-l10n
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably. 
 It can load and save your contacts to many different locations, including 
 the local file system, LDAP servers, and SQL databases.
 .
 This package is part of the KDE PIM module.

Package: kalarm
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: kttsd | jovie
Conflicts: kde-l10n
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 This package is part of the KDE PIM module.

Package: kdepim-kresources
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: korganizer
Suggests: knotes
Breaks: korganizer (<< 4:4.1.80)
Replaces: korganizer (<< 4:4.1.80)
Conflicts: kde-l10n
Description: KDE PIM resource plugins
 This package adds more resource plugins for KDE PIM applications such as
 blogging, tracking feature plans etc.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kdepim-groupware
Section: kde
Architecture: any
Recommends: kdepim-wizards
Breaks: korganizer (<< 4:4.1.80), knotes (<< 4:4.1.80), kaddressbook (<< 4:4.1.80), libkdepim4 (<< 4:4.1.80),
 kdepim-kresources (<< 4:4.1.80)
Replaces: korganizer (<< 4:4.1.80), knotes (<< 4:4.1.80), kaddressbook (<< 4:4.1.80), libkdepim4 (<< 4:4.1.80),
 kdepim-kresources (<< 4:4.1.80)
Conflicts: kde-l10n
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: KDE PIM Groupware plugins
 This package includes several plugins used by KDE PIM components to
 interface with Groupware servers. Supported Groupware platforms include
 eGroupware, Kolab 2, Scalix and SLOX (SuSE Linux Openexchange Server),
 Novell GroupWise and GroupDAV.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kdepim-wizards
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepim-groupware (= ${binary:Version})
Suggests: egroupware
Conflicts: kde-l10n
Description: KDE server configuration wizards
 This package contains KDE-based wizards for configuring KDE PIM applications
 to access eGroupware, Kolab 2, Scalix and SLOX (SuSE Linux Openexchange
 Server) and Novell GroupWise groupware servers.
 .
 This package is part of KDE, and a component of the KDE PIM module.

#Package: kitchensync
#Section: kde
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Suggests: konqueror
#Conflicts: kdebluetooth-irmcsync (<< 0.99+1.0beta2-4.1)
#Homepage: http://www.opensync.org/wiki/kitchensync
#Description: Synchronization framework
# This package contains a synchronization framework, still under heavy
# development.  Kitchensync uses opensync.
# .
# This package is part of KDE, and a component of the KDE PIM module.

Package: kleopatra
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gnupg-agent, gnupg2, gpgsm, dirmngr, pinentry-qt4 | pinentry-x11
Conflicts: kde-l10n
Description: certificate Manager
 Kleopatra is a tool for managing X.509 certificates and pgp keys.
 .
 This package is part of the KDE PIM module.

Package: kmail
Section: mail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: gnupg2, gnupg-agent, pinentry-qt4 | pinentry-x11
Suggests: kaddressbook, kleopatra, spamassassin | bogofilter | annoyance-filter | spambayes | bsfilter | crm114, clamav | f-prot-installer, procmail
Breaks: kmailcvt (<< 4:3.90.0), akonadi-kde (<< 4:4.1.3), kontact (<< 4:4.1.80)
Replaces: kmailcvt (<< 4:3.90.0), akonadi-kde (<< 4:4.1.3), kontact (<< 4:4.1.80)
Provides: imap-client, mail-reader
Conflicts: kde-l10n
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client
 KMail is a fully-featured email client that fits nicely into the KDE
 desktop. It has features such as support for IMAP, POP3, multiple accounts,
 mail filtering and sorting, PGP/GnuPG privacy, and inline attachments.
 .
 This package also contains Nepomuk EMail Feeder Akonadi Agent.
 .
 This package is part of the KDE PIM module.

# Package: kmobiletools
# Section: utils
# Architecture: any
# Depends: ${shlibs:Depends}, ${misc:Depends}
# Homepage: http://www.kmobiletools.org/
# Description: KDE application to control mobile phones
#  MobileTools is a KDE application that allows you to control your mobile phone.
#  Actually, this application supports: SMS reading/writing/sending/deleting ,
#  multiple SMS destinations (if supported by the phone), calls handling (dial,
#  answer, close), phonebook reading, viw last answered calls and last unanswered
#  calls lists.
#  .
#  This package is part of KDE, and a component of the KDE PIM module.

Package: knode
Section: news
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kdepim-dev (<< 4:3.4.0), kontact (<< 4:4.1.80)
Replaces: kdepim-dev (<< 4:3.4.0), kontact (<< 4:4.1.80)
Provides: news-reader
Conflicts: kde-l10n
Homepage: http://kontact.kde.org/knode/
Description: graphical news reader
 KNode is an easy-to-use, convenient newsreader. It is intended to be usable
 by inexperienced users, but also includes support for such features as
 MIME attachments, article scoring, and creating and verifying GnuPG
 signatures.
 .
 This package is part of the KDE PIM module.

Package: knotes
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdepim-kresources
Breaks: kontact (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80)
Conflicts: kde-l10n
Description: sticky notes application
 KNotes is a program that lets you write sticky notes. The notes are saved
 automatically when you exit the program, and they display when you open the
 program.  The program supports printing and mailing your notes.
 .
 This package is part of the KDE PIM module.

Package: konsolekalendar
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: kde-l10n
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.
 .
 This package is part of the KDE PIM module.

Package: kontact
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kmail, knotes, akregator, kaddressbook, korganizer
Suggests: gnokii, kjots, ktimetracker, knode
Homepage: http://kontact.kde.org/
Breaks: korganizer (<< 4:4.1.80), akregator (<< 4:4.1.80)
Replaces: korganizer (<< 4:4.1.80), akregator (<< 4:4.1.80)
Conflicts: kde-l10n
Description: integrated application for personal information management
 Kontact is the integrated solution to your personal information management
 needs. It combines applications like KMail, KOrganizer and
 KAddressBook into a single interface to provide easy access to mail,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

.PHONY: override_dh_auto_test

# Strict local dependencies (there are no external ones anyway)
override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbg-package=kdepim-dbg

## kdepim 4.7.2+git111007

=== mailcommon/CMakeLists.txt ===
include_directories(
  ${CMAKE_SOURCE_DIR}/messageviewer
  ${CMAKE_SOURCE_DIR}/templateparser
  ${CMAKE_BINARY_DIR}/templateparser
  ${CMAKE_CURRENT_BINARY_DIR}/../ontologies
 )

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

set(libmailcommon_SRCS 
  aclentrydialog.cpp
  aclmanager.cpp
  aclutils.cpp
  attributeregistrar.cpp
  collectionannotationsattribute.cpp
  collectiongeneralpage.cpp
  entitycollectionorderproxymodel.cpp
  expirejob.cpp
  expirypropertiesdialog.cpp
  filteraction.cpp
  filteractionwidget.cpp
  filtercontroller.cpp
  filtereditdialog.cpp
  filterimporterexporter.cpp
  filterlog.cpp
  filtermanager.cpp
  filtermodel.cpp
  foldercollection.cpp
  foldercollectionmonitor.cpp
  folderjob.cpp
  folderrequester.cpp
  folderselectiondialog.cpp
  foldertreeview.cpp
  foldertreewidget.cpp
  imapaclattribute.cpp
  jobscheduler.cpp
  mailfilter.cpp
  mailkernel.cpp
  mailutil.cpp
  mdnadvicedialog.cpp
  messageproperty.cpp
  minimumcombobox.cpp 
  readablecollectionproxymodel.cpp
  redirectdialog.cpp
  regexplineedit.cpp
  rulewidgethandlermanager.cpp
  searchpattern.cpp
  searchpatternedit.cpp
  sendmdnhandler.cpp
  snippetdialog.cpp
  snippetsmanager.cpp
  snippetsmodel.cpp
  snippetvariabledialog.cpp
  foldertreewidgetproxymodel.cpp
)

kde4_add_ui_files(libmailcommon_SRCS filterconfigwidget.ui snippetdialog.ui)

if ( NOT WINCE )
set(libmailcommon_SRCS ${libmailcommon_SRCS}
  soundtestwidget.cpp
)
endif ( NOT WINCE )

macro(add_resource_iface _kcfgFile _ifaceName _className)
  kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/${_kcfgFile} ${_ifaceName})
  string(TOLOWER ${_className} _codeFile) 
  set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml PROPERTIES INCLUDE "metatype.h")
  qt4_add_dbus_interface(libmailcommon_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_codeFile} ${_className}
  )
endmacro(add_resource_iface)

add_resource_iface( imapresource.kcfg org.kde.Akonadi.Imap.Settings ImapSettings )
add_resource_iface( settings.kcfg org.kde.Akonadi.POP3.Settings Pop3Settings )

qt4_add_dbus_interfaces(libmailcommon_SRCS
  ${CMAKE_SOURCE_DIR}/korganizer/org.kde.Korganizer.Calendar.xml
)

kde4_add_library(mailcommon ${LIBRARY_TYPE} ${libmailcommon_SRCS})

target_link_libraries(mailcommon messageviewer messagecore messagecomposer
  templateparser
  kdepim
  akonadi_next
  ${KDEPIMLIBS_KMIME_LIBS}
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
  ${KDEPIMLIBS_KPIMUTILS_LIBS}
  ${KDEPIMLIBS_KIMAP_LIBS}
  ${KDEPIMLIBS_MAILTRANSPORT_LIBS}
  ${KDE4_KDEUI_LIBS}
)

if(NOT KDEPIM_NO_NEPOMUK)
target_link_libraries(mailcommon
  ${NEPOMUK_QUERY_LIBRARIES}
  ${SOPRANO_LIBRARIES}
  niefast_apps
)
endif(NOT KDEPIM_NO_NEPOMUK)

if ( NOT WINCE )
target_link_libraries(mailcommon 
  incidenceeditorsng
)
else( NOT WINCE )
target_link_libraries(mailcommon 
  incidenceeditorsngmobile
)
endif (NOT WINCE)

set_target_properties( mailcommon PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS mailcommon ${INSTALL_TARGETS_DEFAULT_ARGS} )

#install( FILES viewer.h attachmentstrategy.h headerstrategy.h messageviewer_export.h DESTINATION  ${INCLUDE_INSTALL_DIR}/messageviewer COMPONENT devel)

=== debian/changelog ===
kdepim (4:4.7.2+git111007-0ubuntu1) oneiric; urgency=low

  * Update to current KDE 4.7 branch head, commit 2271a28b

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Oct 2011 15:45:50 -0500

kdepim (4:4.7.2-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Oct 2011 18:45:49 +0530

kdepim (4:4.7.1+git110930-0ubuntu1) oneiric; urgency=low

  * Update to current KDE 4.7 branch head, commit cfc4f38c

 -- Scott Kitterman <scott@kitterman.com>  Fri, 30 Sep 2011 19:24:36 -0400

kdepim (4:4.7.1+git110927-0ubuntu1) oneiric; urgency=low

  * Update to current KDE 4.7 branch head, commit 4c68d72e

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Sep 2011 00:39:25 -0400

kdepim (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 23:34:57 +0200

kdepim (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 03 Sep 2011 13:01:43 +0200

kdepim (4:4.7.0-0ubuntu3) oneiric; urgency=low

  * Drop obsolete reference to libmimelib4 in kdepim-dbg depends

 -- Scott Kitterman <scott@kitterman.com>  Sat, 20 Aug 2011 20:14:47 -0400

kdepim (4:4.7.0-0ubuntu2) oneiric; urgency=low

  * Re-add kleopatra related headers to kdepim-dev,install so
    kopete-cryptography will build
  * Re-add headers to those installed by kubuntu_install_headers.diff
  * Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Aug 2011 22:42:11 -0400

kdepim (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - update install files
    - add missing kdepim-doc package to control file
    - Fix Vcs lines
    - kontact breaks/replaces korganizer << 4:4.6.80
    - tighten the dependency of kdepim-dev on libkdepim4 to fix lintian error

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 28 Jun 2011 19:33:24 +0200

kdepim (4:4.6.0-0ubuntu1) UNRELEASED; urgency=low

  [ Jonathan Kolberg ]
  * New upstream release
    - new dep: libqtwebkit-dev, dblatex, libgrantlee-dev
    - added:
      - libksieveui4, libkmanagesieve4
      - libtemplateparser4, libincidenceeditorsng4
      - libincidenceeditorsng4-mobile, libkdepimui-mobile
      - libkdgantt2, libcalendarsupport4, libeventviews4
      - libmessagecomposer4, libmailcommon4
      - libkdepimdbusinterfaces4
    - added mobile:
      - kaddressbook-mobile
      - kmail-mobile
      - knotes-mobile
      - kontact-mobile
      - korganizer-mobile
      - tasks-mobile
    - replaces added:
      - kdepim-kresources
      - kleopatra
      - libmessagelist4
      - libmessageviewer0
    - droped
      - libmime
    - added missing , between pkg-config and kdelibs5-dev
    - updated kubuntu_install_headers.diff
    - droped displaying_only_unread_issue.diff
    - droped kubuntu_kalarm_kstatusnotifier.diff

  [ Philip Muškovac ]
  * kdepim-dev depends on libboost-graph1.46-dev
  * Update install files.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 24 Jun 2011 16:33:07 +0200

kdepim (4:4.4.11.1-0ubuntu1) UNRELEASED; urgency=low

  * Merge from debian, remaining changes
    - Update debian/patches/debianize_akregator_default.diff for Ubuntu
      defaults and rename to kubuntu_debianize_akregator_default.diff
    - Remove kleopatra and akdonadiconsole from kdepim metapackage due to
      their being in Universe
    - Simplify kmail and kleopatra pinentry recommends:
    - Remove pinentry-x11 since it does not exist
    - Remove pinentry-qt since this package has been removed from Ubuntu
    - Adjust other kmail recommends/suggests:
      - Drop Suggests on f-prot-installer and annoyance-filter since they are
      not in the archive
    - Consolidate all documentation in kdepim-doc for all packages in kdepim
    - Add kdepim-doc.install
    - debian/akregator,kaddressbook,kalarm,kjots,kmail,knode,knotes,kontact,
      ktimetracker,korganizer{.install}, do not add documentation
    - Add kdepim-dev package (it is not stable, but we rebuild the reverse
      build-depends to account for this)
      - Add kdepim-dev to debian/control
      - Add kdepim-dev.install
    - Provide debian/kalarm-icons and adjust debian/rules to install
    - Do not build-depend on libgnokii-dev because it is in Universe
    - Build against version of Boost in Main, libboost1.46-dev and
      libboost-graph1.46-dev
    - Add libindicate-qt-dev, libxml2-dev, sharutils to build-deps
    - Add kdepim-runtime to depends in kdepim, knode, knotes, konsolekalendar,
      kontact, and korganizer
    - Add kjots depends on akonadi-server
    - Adjust version requirements for Ubuntu packages for conflict/replaces
    - Add pkg-config to build dep, required for libindicate-qt-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 11 Jun 2011 16:33:49 +0200

=== debian/control ===
Source: kdepim
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>,
 Michael Meskes <meskes@debian.org>, José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake, 
 debhelper (>= 7.3.16), 
 pkg-kde-tools (>= 0.12), 
 pkg-config,
 kdelibs5-dev (>= 4:4.6), 
 kdepimlibs5-dev (>= 4:4.6), 
 libphonon-dev (>= 4:4.6.0really4.3.80),
 libgpgme11-dev, 
 libboost1.46-dev, 
 libboost-graph1.46-dev, 
 libsasl2-dev,
 xsltproc, 
 libxss-dev, 
 libqca2-dev (>= 2.0.0), 
 libassuan-dev,
 libstreams-dev (>= 0.6.3), 
 libstreamanalyzer-dev (>= 0.6.3), 
 libsearchclient-dev (>= 0.6.3),
 libstrigihtmlgui-dev (>= 0.6.3), 
 libstrigiqtdbusclient-dev (>= 0.6.3), 
 zlib1g-dev,
 libakonadi-dev (>= 1.3.0), 
 libpisock-dev, 
 shared-desktop-ontologies (>= 0.2),
 libindicate-qt-dev (>= 0.2.5.91),
 libxml2-dev,
 sharutils,
 libqt4-opengl-dev,
 libqtwebkit-dev,
 dblatex, 
 libgrantlee-dev
Standards-Version: 3.9.2
Homepage: http://pim.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim

Package: kdepim
Architecture: all
Depends: ${misc:Depends}, akregator (>= ${source:Version}), kaddressbook (>= ${source:Version}),
 kalarm (>= ${source:Version}), kdepim-kresources (>= ${source:Version}), kdepim-wizards (>= ${source:Version}),
 kmail (>= ${source:Version}), knode (>= ${source:Version}), knotes (>= ${source:Version}),
 konsolekalendar (>= ${source:Version}), kontact (>= ${source:Version}), korganizer (>= ${source:Version}),
 ktimetracker (>= ${source:Version}), kdepim-strigi-plugins (>= ${source:Version}), kjots (>= ${source:Version}),
 blogilo (>= ${source:Version}), kdepim-runtime
Description: Personal Information Management apps from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) applications provided with the official release of KDE.

Package: kdepim-dbg
Priority: extra
Section: debug
Depends: ${misc:Depends}, kdepimlibs-dbg,
 kdepim  (= ${source:Version}) |
 kaddressbook (= ${binary:Version}) |
 kalarm (= ${binary:Version}) |
 kdepim-groupware (= ${binary:Version}) |
 kdepim-kresources (= ${binary:Version}) |
 kdepim-strigi-plugins (= ${binary:Version}) |
 kdepim-wizards (= ${binary:Version}) |
 kjots (= ${binary:Version}) |
 kleopatra (= ${binary:Version}) |
 kmail (= ${binary:Version}) |
 knode (= ${binary:Version}) |
 knotes (= ${binary:Version}) |
 konsolekalendar (= ${binary:Version}) |
 kontact (= ${binary:Version}) |
 korganizer (= ${binary:Version}) |
 ktimetracker (= ${binary:Version}) |
 blogilo (= ${binary:Version}) |
 libkdepim4 (= ${binary:Version}) |
 libkleo4 (= ${binary:Version}) |
 libkpgp4 (= ${binary:Version}) |
 libksieve4 (= ${binary:Version}) |
 libmaildir4 (= ${binary:Version}) |
 libmessagecore4 (= ${binary:Version}) |
 libmessagelist4 (= ${binary:Version}) |
 libmessageviewer4 (= ${binary:Version})
Breaks: kdeutils-dbg (<< 4:4.0.80)
Replaces: kdeutils-dbg (<< 4:4.0.80)
Architecture: any
Description: debugging symbols for kdepim
 This package contains the debugging symbols associated with kdepim.
 They will automatically be used by gdb for debugging kdepim-related
 issues.

Package: kdepim-dev
Architecture: any
Depends: kdepim-runtime, akregator (>= ${binary:Version}),
 kaddressbook (>= ${binary:Version}), kalarm (>= ${binary:Version}),
 kdepim-kresources (>= ${binary:Version}), kjots (>= ${binary:Version}),
 kdepim-wizards (>= ${binary:Version}), kmail (>= ${binary:Version}),
 knode (>= ${binary:Version}), knotes (>= ${binary:Version}),
 konsolekalendar (>= ${binary:Version}),
 kontact (>= ${binary:Version}), korganizer (>= ${binary:Version}),
 ktimetracker (>= ${binary:Version}),
 kdepim-strigi-plugins (>= ${binary:Version}),
 libkdepim4 (= ${binary:Version}), kdepimlibs5-dev (>= 4:4.3.80),
 libphonon-dev (>= 4:4.6.0really4.3.80),
 libgpgme11-dev, libboost1.46-dev, libboost-graph1.46-dev, libsasl2-dev, libxss-dev,
 libqca2-dev (>= 2.0.0), libpisock-dev, libassuan-dev, libstreams-dev,
 libstreamanalyzer-dev, libsearchclient-dev, libstrigihtmlgui-dev,
 libstrigiqtdbusclient-dev, zlib1g-dev, libakonadi-dev (>= 1.2.80),
 ${shlibs:Depends}
Conflicts: kmail (<= 4:4.2.1)
Replaces: kmail (<= 4:4.2.1)
Description: Contains development files needed to compile kdepim applications.
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information

Package: kdepim-doc
Section: doc
Architecture: all
Suggests: konqueror | www-browser, doc-base
Description: KDE Personal Information Management library documentation
 KDE core library documentation. You need this documentation to develop KDE PIM
 applications.
 .
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information.

Package: akregator
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kontact (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80)
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator 
 Akregator is a news feed reader. It enables you to follow  
 news sites, blogs and other RSS/Atom-enabled websites without the need to 
 manually check for updates using a web browser. Akregator is designed to be 
 both easy to use and to be powerful enough to read hundreds of news sources 
 conveniently. It comes with Konqueror integration for adding news feeds and 
 with an internal browser for easy news reading.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdepim-kresources
Breaks: korganizer (<< 4:4.2.85), kontact (<< 4:4.2.85)
Replaces: korganizer (<< 4:4.2.85), kontact (<< 4:4.2.85)
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably. 
 It can load and save your contacts to many different locations, including 
 the local file system, LDAP servers, and SQL databases.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook-mobile
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdepim-kresources
Replaces: kontact (<< 4:4.5.80)
Description: address book and contact data manager mobile version
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases. This is the mobile
 version.
 .
 This package is part of the KDE PIM module.

Package: kalarm
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: kttsd | jovie
Conflicts: kde-l10n
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 This package is part of the KDE PIM module.

Package: kdepim-kresources
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: korganizer
Suggests: knotes
Breaks: korganizer (<< 4:4.2.85), libkdepim4 (<< 4:4.5.80), kdepim-groupware (<< 4:4.5.96-1)
Replaces: korganizer (<< 4:4.2.85), libkdepim4 (<< 4:4.5.80), kdepim-groupware (<< 4:4.5.96-1)
Description: KDE PIM resource plugins
 This package adds more resource plugins for KDE PIM applications such as
 blogging, tracking feature plans etc.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kdepim-groupware
Section: kde
Architecture: any
Recommends: kdepim-wizards
Breaks: korganizer (<< 4:4.2.85), knotes (<< 4:4.2.2-0ubuntu1), kaddressbook (<< 4:4.1.80), libkdepim4 (<< 4:4.2.85),
 kdepim-kresources (<< 4:4.1.80)
Replaces: korganizer (<< 4:4.2.85), knotes (<< 4:4.2.2-0ubuntu1), kaddressbook (<< 4:4.1.80), libkdepim4 (<< 4:4.2.85),
 kdepim-kresources (<< 4:4.1.80)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: KDE PIM Groupware plugins
 This package includes several plugins used by KDE PIM components to
 interface with Groupware servers. Supported Groupware platforms include
 eGroupware, Kolab 2, Scalix and SLOX (SuSE Linux Openexchange Server),
 Novell GroupWise and GroupDAV.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kdepim-wizards
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepim-groupware (= ${binary:Version})
Suggests: egroupware
Description: KDE server configuration wizards
 This package contains KDE-based wizards for configuring KDE PIM applications
 to access eGroupware, Kolab 2, Scalix and SLOX (SuSE Linux Openexchange
 Server) and Novell GroupWise groupware servers.
 .
 This package is part of KDE, and a component of the KDE PIM module.

#Package: kitchensync
#Section: kde
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Suggests: konqueror
#Conflicts: kdebluetooth-irmcsync (<< 0.99+1.0beta2-4.1)
#Homepage: http://www.opensync.org/wiki/kitchensync
#Description: Synchronization framework
# This package contains a synchronization framework, still under heavy
# development.  Kitchensync uses opensync.
# .
# This package is part of KDE, and a component of the KDE PIM module.

Package: kleopatra
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gnupg-agent, gnupg2, gpgsm, dirmngr, pinentry-qt4
Replaces: kdepim-doc (<< 4:4.4.60)
Description: certificate Manager
 Kleopatra is a tool for managing X.509 certificates and pgp keys.
 .
 This package is part of the KDE PIM module.

Package: kmail
Section: mail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: gnupg2, gnupg-agent, pinentry-qt4
Suggests: kaddressbook, kleopatra, spamassassin | bogofilter | spambayes | bsfilter | crm114, clamav, procmail
Breaks: kmailcvt (<< 4:3.90.0), akonadi-kde (<< 4:4.1.3), kontact (<< 4:4.2.85)
Replaces: kmailcvt (<< 4:3.90.0), akonadi-kde (<< 4:4.1.3), kontact (<< 4:4.2.85)
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client
 KMail is a fully-featured email client that fits nicely into the KDE
 desktop. It has features such as support for IMAP, POP3, multiple accounts,
 mail filtering and sorting, PGP/GnuPG privacy, and inline attachments.
 .
 This package also contains Nepomuk EMail Feeder Akonadi Agent.
 .
 This package is part of the KDE PIM module.

Package: kmail-mobile
Section: mail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, kdepim-runtime
Recommends: gnupg2, gnupg,  gnupg-agent, pinentry-qt4
Suggests: kaddressbook-mobile, procmail, kleopatra, spamassassin | bogofilter | spambayes | bsfilter | crm114, clamav
Replaces: kontact (<< 4:4.5.80)
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,13 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
 libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
 include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk
+
+override_dh_auto_install:
+	$(overridden_command)
+	cd debian/kalarm-icons/; uudecode ox8-emblems-disabled.png.uu
+	cd debian/kalarm-icons/; uudecode ox8-emblems-partdisabled.png.uu
+	install -p -D -m644 debian/kalarm-icons/ox8-emblems-disabled.png debian/kalarm/usr/share/kde4/apps/kalarm/icons/oxygen/8x8/emblems/disabled.png
+	install -p -D -m644 debian/kalarm-icons/ox8-emblems-partdisabled.png debian/kalarm/usr/share/kde4/apps/kalarm/icons/oxygen/8x8/emblems/partdisabled.png
 
 .PHONY: override_dh_auto_test
 
@@ -12,3 +19,6 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=kdepim-dbg
+override_dh_clean:
+	$(overridden_command)
+	rm -f debian/kalarm-icons/*png

## kdepim 4.7.4+git111222

=== debian/changelog ===
kdepim (4:4.7.4+git111222-0ubuntu0.3) oneiric-security; urgency=high

  * SECURITY UPDATE: Disable JavaScript, Java, and Plugins by default in
    kmail/kontact messageviewer's quote colorer (LP: #1022690)
    - Upstream Git dbb2f72f4745e00f53031965a9c10b2d6862bd54
    - CVE-2012-3413

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Jul 2012 09:08:14 -0400

kdepim (4:4.7.4+git111222-0ubuntu0.1) oneiric-proposed; urgency=low

  * New upstream bugfix release plus git snapshot for additional bug fixing
    goodness  LP: #913928)
  * Backport kdepim 4.8 branch commit 5c27ef8a636edf8ebb5460273f075d7ed1133b85
    to fix kmail memory leak as debian/patches/fix_mem_leak_backport.diff

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jan 2012 09:48:56 -0500

kdepim (4:4.7.3-0ubuntu0.1) oneiric-proposed; urgency=low

  [ Jonathan Kolberg ]
  * New  upstream bugfix release (LP: #901975)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 22:05:20 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
  Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>,
  Michael Meskes <meskes@debian.org>, José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, 
  debhelper (>= 7.3.16), 
  pkg-kde-tools (>= 0.12),
